<div id="navbar">

    <b-navbar :sticky="false" class="bg-primary">
        <b-nav-form class="mr-md-auto">
            <b-button v-b-toggle.sidebar-new variant="link" size="xl"
                      :class="{ 'd-md-none': !$store.getters.isAuthenticated }"
                      class="d-inline-block text-secondary">
                <i class="fas fa-2x fa-bars"/>
            </b-button>
            <b-sidebar id="sidebar-new" bg-variant="white" title="Negozi A Casa Tua">
                <ul class="nav flex-column mt-3">
                    <li class="nav-item mt-2 mb-3 col-12">
                        <b-form @submit.prevent="search">
                            <b-input-group>
                                <b-input size="md"
                                         class="rounded border-dark"
                                         placeholder="Negozio / Prodotto ..."
                                         v-model.trim="searchText"
                                />
                                <b-input-group-append>
                                    <b-button size="md"
                                              variant="primary"
                                              type="submit">
                                        <i class="fas fa-search"/>
                                    </b-button>
                                </b-input-group-append>
                            </b-input-group>
                        </b-form>
                    </li>
                    <li v-for="(item, index) in navItems" v-bind:key="index"
                        v-if="canViewPage(item.roles)"
                        class="nav-item mx-3">
                        <a class="nav-link text-black"
                           @click="go(item.path)">
                            <i v-if="item.icon" :class="'fas mr-3 text-dark fa-' + item.icon" />
                            {{ item.name }}
                            <b-badge v-if="item.badge && badges[item.badge]" variant="info">
                                {{ badges[item.badge] }}
                            </b-badge>
                            <hr class="my-1 w-100">
                        </a>
                    </li>
                </ul>

                <template v-slot:footer v-if="$store.getters.isAuthenticated">
                    <div class="d-flex align-items-center px-3 py-2 bg-light">
                        <span class="text-black mr-auto"> {{$store.getters.username.split('@')[0]}} </span>
                        <b-button size="md"
                                  variant="outline-dark"
                                  class="border-dark"
                                  @click="logout">
                            <b-icon-power variant="danger"/>
                        </b-button>
                        <b-dropdown size="md"
                                    dropup
                                    no-caret
                                    variant="outline-dark"
                                    class="ml-2 rounded"
                        >
                            <template v-slot:button-content>
                                <i class="fas fa-cog"/>
                            </template>
                            <b-dropdown-item v-b-modal.edit-password>
                                Cambia Password
                            </b-dropdown-item>
                        </b-dropdown>
                    </div>
                </template>
            </b-sidebar>

            <b-nav-form v-if="!$store.getters.isAuthenticated" class="d-none d-md-inline-block">
                <b-button variant="secondary"
                          class="rounded w-100"
                          @click="go('/login')"
                >
                    Aggiungi o modifica il tuo negozio
                </b-button>
            </b-nav-form>
        </b-nav-form>

        <b-navbar-brand class="position-absolute" style="cursor: pointer" to="/">
            <img src="../../assets/logo.png" >
        </b-navbar-brand>

        <!-- Right aligned nav items -->
        <b-navbar-nav class="ml-auto">
            <b-nav-form class="d-none d-md-inline-block"  @submit.prevent="search">
                <b-input size="md"
                         class="rounded"
                         placeholder="Negozio / Prodotto ..."
                         v-model.trim="searchText" />
                <b-button size="md" class="my-2 my-sm-0 ml-2" type="submit" @click="search()">
                    <i class="fas fa-search"/>
                </b-button>
            </b-nav-form>
        </b-navbar-nav>
    </b-navbar>




    <!-- CHANGE PASSWORD MODAL -->
    <b-modal id="edit-password" title="Cambia password">
        <b-form-group label-for="old-password" label="Vecchia password">
            <b-form-input id="old-password"
                          type="password"
                          v-model="changePasswordObj.oldPassword"
                          :state="this.changePasswordObj.oldPassword === null ? null : !this.$v.changePasswordObj.oldPassword.$invalid"/>
        </b-form-group>
        <b-form-group label-for="new-password" label="Nuova password" invalid-feedback="La password deve essere di almeno 6 caratteri">
            <b-form-input id="new-password"
                          type="password"
                          v-model="changePasswordObj.newPassword"
                          :state="this.changePasswordObj.newPassword === null ? null : !this.$v.changePasswordObj.newPassword.$invalid"/>
        </b-form-group>
        <b-form-group label-for="re-new-password" label="Reinserisci la nuova password" invalid-feedback="Le due password devono corrispondere">
            <b-form-input id="re-new-password"
                          type="password"
                          v-model="changePasswordObj.repeatNewPassword"
                          :state="this.changePasswordObj.repeatNewPassword === null ? null : !this.$v.changePasswordObj.repeatNewPassword.$invalid"/>
        </b-form-group>
        <template v-slot:modal-footer>
            <b-button variant="secondary" @click="closeModal">Annulla</b-button>
            <b-button variant="primary" @click="changePassword" :disabled="$v.changePasswordObj.$invalid">Cambia</b-button>
        </template>
    </b-modal>

    <b-modal id="error-modal-change-password" title="Attenzione!">
        <span style="color: red">{{ error }}</span>
    </b-modal>
</div>
